Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Alan Mackenzie <[email-masked]>
Date: Fri, 4 Jul 2014 18:27:09 +0000

Hello, Stefan.

On Thu, Jul 03, 2014 at 10:59:58AM -0400, Stefan Monnier wrote:
> Can you try the patch below (for the emacs-24 branch), which tries to
> make the existing cache in find_defun_start do something useful in the
> case where find_defun_start returns BEGV?

[ patch snipped ]

I'm not sure what I'm meant to see, but it has made no perceptible
difference to the "slow" invocation of scan-lists.  In particular, that
invocation took 0.7196781635284424 seconds with the patch, which is
"exactly" (near enough) what it took before.

>         Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).